Loading...
Searching...
No Matches
casacore::TabVecLogic_global_functions_vectorComparison Struct Reference
tables package (libcasa_tables) » Tables_module » Tables_module_internal_classes

More...

`#include <TabVecLogic.h>`

## Public Member Functions

template<class T>
Bool | allLE (const TableVector< T > &left, const TableVector< T > &right)
template<class T>
Bool | allLT (const TableVector< T > &left, const TableVector< T > &right)
template<class T>
Bool | allGE (const TableVector< T > &left, const TableVector< T > &right)
template<class T>
Bool | allGT (const TableVector< T > &left, const TableVector< T > &right)
template<class T>
Bool | allEQ (const TableVector< T > &left, const TableVector< T > &right)
template<class T>
Bool | allNE (const TableVector< T > &left, const TableVector< T > &right)

## Detailed Description

Comparison between two table vectors

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

Element by element comparisons between the left and right table vectors. The result is true only if the comparison is true for every element of the table vectors. At some point operators will be available that return masks where the comparison is true. The left and right operands must be conformant (i.e. have equal length).

Definition at line 56 of file TabVecLogic.h.

## Member Function Documentation

## allEQ()

template<class T>

Bool casacore::TabVecLogic_global_functions_vectorComparison::allEQ | ( | const TableVector< T > & | left,
|  | const TableVector< T > & | right )

inline

## allGE()

template<class T>

Bool casacore::TabVecLogic_global_functions_vectorComparison::allGE | ( | const TableVector< T > & | left,
|  | const TableVector< T > & | right )

inline

## allGT()

template<class T>

Bool casacore::TabVecLogic_global_functions_vectorComparison::allGT | ( | const TableVector< T > & | left,
|  | const TableVector< T > & | right )

inline

## allLE()

template<class T>

Bool casacore::TabVecLogic_global_functions_vectorComparison::allLE | ( | const TableVector< T > & | left,
|  | const TableVector< T > & | right )

inline

## allLT()

template<class T>

Bool casacore::TabVecLogic_global_functions_vectorComparison::allLT | ( | const TableVector< T > & | left,
|  | const TableVector< T > & | right )

inline

## allNE()

template<class T>

Bool casacore::TabVecLogic_global_functions_vectorComparison::allNE | ( | const TableVector< T > & | left,
|  | const TableVector< T > & | right )

inline

The documentation for this struct was generated from the following file:

- tables/Tables/TabVecLogic.h